$!
$! Define logicals for apache program development under OpenVMS:
$!    apache_root:	Development tree, consists of search list.
$!    apache_base:	Rooted logical for distribution files.
$!    apache_cur:	Rooted logical for updated distribution, order
$!			in search list will cause these to supercede
$!			the base files during builds.
$!
$ usr == "apache_root"			! for / -> /usr fixup done by server
$ httpd == "$apache_root:[src]apache_httpd.exe_alpha"
$!
$ ! Find the top directory in this tree. Deek around concealed logical names.
$
$ ! This parse may not work with excessively clever and/or ODS-5 directory 
$ ! names.
$
$   this_proc = f$env("PROCEDURE")
$   this_dev = f$parse(this_proc,,, "DEVICE", "NO_CONCEAL, SYNTAX_ONLY")
$   this_dir = f$parse(this_proc,,, "DIRECTORY", "NO_CONCEAL, SYNTAX_ONLY")
$   root = this_dev + this_dir - "][" - "]<" - ">[" - "><"
$   root = f$extract(0,f$locate(".SRC",f$edit(root,"UPCASE")),root)
$   
$   if f$extract(0, 1, this_dir) .eqs. "["
$   then 
$	root = root + ".]"
$   else
$	root = root + ".>"
$   endif
$   rlen = f$length(root)
$   root2 = f$extract(0,rlen-4,root) + f$extract(rlen-2,2,root)
$
$   define APACHE_CUR "''root'"/trans=(terminal,conceal)
$   define APACHE_BASE "''root2'"/trans=(termin,conceal)
$   define APACHE_ROOT "''root'"/trans=(term,conceal),APACHE_BASE:
$   sho logical APACHE_root
$ define apache apache_root
$!
$! Define logicals for include lists so we don't requrest /include qualifiers
$! on compiles.
$!
$ define decc$user_include apache_root:[src.include],apache_root:[src.os.openvms]
$ define decc$system_include sys$library,apache_root:[src.os.openvms]
$ define usr 'usr'
